$!----------------------------------------------------------------------------------------
$! Building Stunnel on OpenVMS
$!	Author: Taka Shinagawa (takaaki.shinagawa@hp.com)
$!	Initial date:	May 21, 2002 
$!
$! Prerequisite: "SSL for OpenVMS" must be properly installed. SSL$* and openssl logicals
$! 		  must be defined properly
$!----------------------------------------------------------------------------------------
$!
$! Check if SSL$INCLUDE & openssl are defined
$ if f$trnlnm("SSL$INCLUDE") .EQS. "" 
$ then 
$	write sys$output "SSL$INCLUDE is not defined"
$	exit
$ endif
$
$ if f$trnlnm("openssl") .EQS. ""
$ then
$       write sys$output "openssl is not defined"
$       exit
$ endif
$
$ arch_name = f$getsyi("arch_name")
$ node_name = f$getsyi("nodename")
$ version = f$getsyi("version")
$
$!Assumption: The version string must be in the "v7.3" or "v7.3-1" format. Otherwise this doesn't work.
$ if f$extract(5,1,version) .eqs. " "
$ then
$       num_version = f$extract(1,1,version) + f$extract(3,1,version) + "0"
$ else
$ 	num_version = f$extract(1,1,version) + f$extract(3,1,version) + f$extract(5,1,version)
$ endif
$
$ int_num_version = F$INTEGER(num_version)
$!
$ write sys$output "   ", node_name, " is running ", version, "[", int_num_version, "]", " on a ", arch_name, ")"
$!
$! To use DH & DSA instead of RSA certificates, replace NO_DH with NO-RSA
$ CCDEF = "VMS,HAVE_OPENSSL,HAVE_UNISTD_H,HAVE_GETOPT,HAVE_PTHREAD_H,HAVE_LIBPTHREAD,NO_DH"
$ VMSPOSIX = "syslog"
$
$ if int_num_version .ge. 700
$ then
$	CCDEF = CCDEF + ",HAVE_SYSCONF"
$ endif
$
$
$! Use Pthread on OpenVMS (fork() is not supported on OpenVMS)
$cc/prefix=(all,except=(getpeername,log))/list/include=(sys$disk:[],'f$trnlnm("SSL$INCLUDE")')/define=('CCDEF') -
	[-]client.c, [-]env.c, [-]log.c, [-]options.c, [-]protocol.c, [-]ssl.c, [-]sthreads.c, [-]stunnel.c
$
$cc/prefix=all syslog
$
$link/map=stunnel.map/exe=stunnel.exe -
	client,env,log,options,protocol,ssl,sthreads,stunnel, -
	openssl_options32.opt/opt, -
	'VMSPOSIX'
$!
